> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event details

> Get details of a specific event



## OpenAPI

````yaml https://us-central-1.telnyxcloudstorage.com/clawd-docs/openapi/ai/missions.yml get /ai/missions/{mission_id}/runs/{run_id}/events/{event_id}
openapi: 3.1.0
info:
  title: Telnyx AI Missions API
  version: 2.0.0
  description: >-
    API for tracking multi-step AI agent activities with missions, runs, plans,
    and events.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /ai/missions/{mission_id}/runs/{run_id}/events/{event_id}:
    get:
      tags:
        - Missions
      summary: Get event details
      description: Get details of a specific event
      operationId: get_public_missions_missions_mission_id_runs_run_id_events_event_id
      parameters:
        - name: mission_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Mission Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Run Id
        - name: event_id
          in: path
          required: true
          schema:
            type: string
            title: Event Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.ai.missions.runs.events.getEventDetails('event_id', {
              mission_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              run_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            });


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.ai.missions.runs.events.get_event_details(
                event_id="event_id",
                mission_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                run_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.AI.Missions.Runs.Events.GetEventDetails(\n\t\tcontext.TODO(),\n\t\t\"event_id\",\n\t\ttelnyx.AIMissionRunEventGetEventDetailsParams{\n\t\t\tMissionID: \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\t\tRunID:     \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.ai.missions.runs.events.EventGetEventDetailsParams;

            import
            com.telnyx.sdk.models.ai.missions.runs.events.EventGetEventDetailsResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    EventGetEventDetailsParams params = EventGetEventDetailsParams.builder()
                        .missionId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .runId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .eventId("event_id")
                        .build();
                    EventGetEventDetailsResponse response = client.ai().missions().runs().events().getEventDetails(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.ai.missions.runs.events.get_event_details(
              "event_id",
              mission_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              run_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
            )

            puts(response)
components:
  schemas:
    EventResponse:
      properties:
        data:
          $ref: '#/components/schemas/EventData'
      type: object
      required:
        - data
      title: EventResponse
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    EventData:
      properties:
        event_id:
          type: string
          title: Event Id
        run_id:
          type: string
          title: Run Id
        type:
          $ref: '#/components/schemas/EventType'
        summary:
          type: string
          title: Summary
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        step_id:
          title: Step Id
          type: string
        agent_id:
          title: Agent Id
          type: string
        payload:
          title: Payload
          additionalProperties: true
          type: object
        idempotency_key:
          title: Idempotency Key
          type: string
      type: object
      required:
        - event_id
        - run_id
        - type
        - summary
        - timestamp
      title: EventData
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
    EventType:
      type: string
      enum:
        - status_change
        - step_started
        - step_completed
        - step_failed
        - tool_call
        - tool_result
        - message
        - error
        - custom
      title: EventType
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````